﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>ADMIN | @ViewBag.Title</title>
    <link rel="icon" href="~/assets//foodsystem-logo.svg" type="image/x-icon">
    <link rel="stylesheet" href="~/lib/bootstrap/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/lib/font-awesome/css/all.css" />
    <link rel="stylesheet" href="~/lib/slick-carousel/slick.css" />
    <link rel="stylesheet" href="~/lib/slick-carousel/slick-theme.css" />
    <link rel="stylesheet" href="~/css/common.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/css/styles.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/FoodSystem.styles.css" asp-append-version="true" />
</head>
<body>
    <div class="container-fluid p-0 m-0 row vh-100">
        <div class="bg-color-secondary text-white col-2 px-0" id="sidebar">
            <div class="row py-3 px-0">
                <div class="col-12 text-center mb-5">
                    <a asp-area="" asp-page="/Admins/Index" class="fw-bold fs-5 text-decoration-none text-white"><i class="fa-solid fa-utensils fa-lg"></i> FoodSystem</a>
                </div>
                <div class="col-12">
                    <button class="sidebar-menu-link fw-bold" data-bs-toggle="collapse" data-bs-target="#sidebar-admin" aria-expanded="false" aria-controls="collapseExample"><i class="fa-solid fa-user-tie me-2"></i>Admin</button>
                    <div class="collapse row m-0 show" id="sidebar-admin">
                        <a class="sidebar-submenu-link " asp-page="/Admins/Index">Dashboard</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link" href="#">User Manager</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link " href="#">Menu Manager</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link " href="#">Sales Manager</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link" href="#">Discount Manager</a>
                    </div>
                </div>
                <div class="col-12">
                    <button class="sidebar-menu-link fw-bold" data-bs-toggle="collapse" data-bs-target="#sidebar-report" aria-expanded="false" aria-controls="collapseExample"><i class="fa-solid fa-chart-pie me-2"></i>Reports</button>
                    <div class="collapse row m-0 show" id="sidebar-report">
                        <a class="sidebar-submenu-link" href="#">Generate Report</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link" href="#">Report History</a>
                    </div>
                </div>
                <div class="col-12">
                    <button class="sidebar-menu-link fw-bold" data-bs-toggle="collapse" data-bs-target="#sidebar-chef" aria-expanded="false" aria-controls="collapseExample"><i class="fa-solid fa-fire-burner me-2"></i>Chef</button>
                    <div class="collapse row m-0" id="sidebar-chef">
                        <a class="sidebar-submenu-link" asp-page="/Chefs/FoodManager">View</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link" href="#">Manage</a>
                    </div>
                </div>
                <div class="col-12">
                    <button class="sidebar-menu-link fw-bold" data-bs-toggle="collapse" data-bs-target="#sidebar-cashier" aria-expanded="false" aria-controls="collapseExample"><i class="fa-regular fa-money-bill-1 me-2"></i>Cashier</button>
                    <div class="collapse row m-0" id="sidebar-cashier">
                        <a class="sidebar-submenu-link" href="#">View</a>
                        <hr class="my-0" />
                        <a class="sidebar-submenu-link" href="#">Manage</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-10 p-0" id="body-content">
            <nav class="navbar navbar-expand-sm navbar-toggleable-sm box-shadow py-3">
                <div class="container">
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="navbar-collapse collapse d-sm-inline-flex justify-content-end">
                        <partial name="_LoginPartial.cshtml" />
                    </div>
                </div>
            </nav>
            @RenderBody()
        </div>
    </div>

    <script src="~/lib/jquery/jquery.min.js"></script>
    <script src="~/lib/slick-carousel/slick.min.js"></script>

    <script src="~/lib/popper.js//umd/popper.min.js "></script>
    <script src="~/lib/bootstrap/js/bootstrap.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>

    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>
